Get transaction details
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Long-lived API token sent in the requestToken header. See API token authentication.
Path parameters
ReferenceId for the transaction (PaymentId).
Response
Details of the registered device used for the transaction. null when the
transaction has no DeviceId, or when no matching device is registered to
the paypoint.
How the device read the card for a device transaction. Possible values:
Chip: Card inserted and EMV chip read.Contactless: Card or digital wallet tapped.Swipe: Magnetic stripe swiped.Manual: Card details keyed in on the device.Fallback: Chip read failed, so the device fell back to the magnetic stripe.None: The device didn’t report an entry mode.
null when the transaction isn’t a device transaction, or when the device
transaction never reached the processor (for example, a device timeout or a
cancellation on the device).
EMV data exchanged during the authorization of a device transaction. null
when both values are null, such as for swiped cards, device transactions
that never reached the processor, and non-device transactions.
Number of split funding instructions associated with the transaction.
Returns 0 when the transaction has no splits.
The bank’s accountholder type: personal or business.
Standard Entry Class (SEC) code is a three letter code that describes how an ACH payment was authorized. Supported values are:
- PPD (Prearranged Payment and Deposit) — Used for credits or debits where an accountholder authorizes a company to initiate either a single or recurring transaction to their personal bank account. Common examples include direct deposit of payroll, mortgage payments, or utility bills. This is the default value for subscription payments.
- WEB (Internet-Initiated/Mobile Entry) — Used for debit entries when authorization is obtained from an accountholder via the internet or a wireless network. Common examples are online bill payments, ecommerce purchases, and mobile app payments where the consumer enters their banking information online.
- TEL (Telephone-Initiated Entry) — Used for one-time debit entries where authorization is obtained from a consumer via telephone. Common examples are phone-based purchases or bill payments where the consumer provides their banking information over the phone.
- CCD (Corporate Credit or Debit) — Used for fund transfers between business accounts. This code is specifically for business-to-business transactions. Common examples include vendor payments and other business-to-business payments.
- BOC (Back Office Conversion) — Used to convert paper checks received in-person at a point-of-sale or staffed payment location into electronic ACH debits. Required for Remote Deposit Capture (RDC) transactions. Only supports consumer checks; business, government, and mailed checks aren’t eligible.
A unique identifier for the batch. This is generated by Payabli when the
batch is created, and follows this format:
paypointId + "_" + serviceName + "_" + batchDate:yyyyMMdd + "_" + Guid.NewGuid().
Payabli generates the GUID to ensure that the batch number is unique.
For example, in this batch number:
123_card_20251008_3f2504e0-4f89-11d3-9a0c-0305e82c3301, the paypointID
is 123, the service is card, the batch date is 2025-10-08, and
the GUID is 3f2504e0-4f89-11d3-9a0c-0305e82c3301.
Service Fee or sub-charge transaction associated to the main transaction.
Service fee or sub-charge applied.
Unique ID for the customer linked to the transaction. This is the same
value as the customerId used when creating or referencing a customer.
The difference between the configured pass-through fee and the fee amount sent in the request. When transferring funds, Payabli uses this field to deduct the fee difference and transfer the correct amount to the merchant.
When a paypoint is set up to absorb fees, and the pass-through fee sent with the request is less than the configured amount, the difference must be covered by the merchant. See Fee Configuration to learn more about pass-through fee settings.
Identifier of return/chargeback transaction linked to this payment.
Settlement status for transaction. See the docs for a full reference.
Transaction total amount (including service fee or sub-charge)
Status of transaction. See the docs for a full reference.